// (C) Copyright 2002, Heiko Khler

/* Dimensionen des Feldes */
#define FIELD_WIDTH			90
#define FIELD_HEIGHT		64
/* Dimensionen eines Quadrates */
#define SQUARE_WIDTH		10
/* Dimensionen und Lage des Rechtecks */
#define RECT_START_WIDTH	10
#define RECT_END_WIDTH		60
#define RECT_START_HEIGHT	20
#define RECT_END_HEIGHT		40
/** Anzahl der Schritte */
#define STEPS				10400
#define START_POS_X			35
#define START_POS_Y			30
/** Zeitspanne pro Schritt, je grer desto schneller */
#define TIME_SLICE			20

enum Direction{ UP, DOWN, RIGHT, LEFT };

struct _Pos
{
	unsigned int x, y;
};

typedef struct _Pos Pos;

/** zeichnet das Feld */
void draw_field( bool **field );
/** initialisiert Feld mit einem Rechteck */
void init_field( bool **field );
/** lsst die Ameise los */
void run_ant( bool field[FIELD_WIDTH][FIELD_HEIGHT], Pos pos );
/** zeichnet Quadrat neu */
void redraw_square( bool field[FIELD_WIDTH][FIELD_HEIGHT], Pos pos, bool current_pos );
